/* Catalog */
.title {
    margin: 0 0 10px;
    font-size: 28px;
    font-weight: 600;
}

.subtitle {
    font-size: 16px;
    color: #748A96;
}

.miners_catalog_wrap {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    background: #001b731f;
    margin-top: 30px;
    border-radius: 13px;
}

.back_header_miners_catalog_wrap {
    position: relative;
    border-radius: 13px;
    padding: 1px;
    background: linear-gradient(0deg,rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    background-clip: content-box;
    display: flex;
    width: 100%;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.back_header_miners_catalog_wrap::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.header_miners_catalog_wrap {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: center;
    gap: 25px;
    padding: 20px 0;
}

.header_miner_catalog_link {
    color: #748A96;
    font-weight: 400;
    font-size: 20px;
    text-decoration: none;
}

.header_miners_catalog_wrap > .active {
    background: none;
    font-weight: 500;
    color: #00D0FF;
}

.content_miners_catalog {
    display: flex;
    flex-wrap: wrap;
    padding: 20px;
    flex-direction: row;
    gap: 15px;
}

.miner_block {
    display: flex;
    flex-direction: column;
    margin-bottom: 30px;
    flex: 0 1 calc(33.33% - 10px);
}

.content_miner_block {
    display: flex;
    flex-direction: column;
    background: #001b731a;
    border-radius: 15px;
    padding: 30px 15px 15px;
}

.miner {
    width: 240px;
    margin: 20px auto;
    height: 190px;
}

.title_miner_block {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
}

.title_miner_block > .title {
    font-size: 18px;
    margin: 0;
    font-weight: 500;
}

.category_miner_back {
    position: relative;
    background: linear-gradient(327deg,rgba(179, 46, 255, 1) 0%, rgba(83, 0, 99, 1) 100%);
    border-radius: 22px;
    padding: 2px;
    background-clip: content-box;
    min-width: 75px;
    display: flex;
    justify-content: center;
}

.category_miner_back::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(305deg,rgba(50, 25, 51, 1) 0%, rgba(149, 35, 149, 1) 50%, rgba(51, 25, 51, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.category_miner_back#start_miner {
    background: linear-gradient(282.47deg, #00a974 -18.24%, #006330 68.91%);
}

.category_miner_back::before#start_miner {
    background: linear-gradient(305deg, #00a974 -18.24%, #006330 68.91%);
}

.category_miner_back#advanced_miner {
    background: linear-gradient(327deg,rgba(179, 46, 255, 1) 0%, rgba(83, 0, 99, 1) 100%);
}

.category_miner_back::before#advanced_miner {
    background: linear-gradient(305deg,rgba(50, 25, 51, 1) 0%, rgba(149, 35, 149, 1) 50%, rgba(51, 25, 51, 1) 100%);
}

.category_miner_back#master_miner {
    background: linear-gradient(99.28deg, #192433 -19.03%, #2E93FF 106.18%);
}

.category_miner_back::before#master_miner {
    background: linear-gradient(305deg, #192433 -19.03%, #2E93FF 106.18%);
}

.category_miner_back#ultra_miner {
    background: linear-gradient(282.47deg, #FF552E -18.24%, #630028 68.91%);
}

.category_miner_back::before#ultra_miner {
    background: linear-gradient(305deg, #FF552E -19.03%, #630028 106.18%);
}

.category_miner_back#elite_miner {
    background: linear-gradient(278.78deg, #FF7E2E -62.66%, #452015 69.31%);
}

.category_miner_back::before#elite_miner {
    background: linear-gradient(305deg, #FF7E2E -19.03%, #452015 106.18%);
}

.category {
    font-size: 12px;
    padding: 5px;
    text-transform: uppercase;
    font-weight: 500;
}

.options_wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
}

.option {
    width: 100%;
    max-width: 140px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 15px;
}

.option > .title {
    color: #748A96;
    font-weight: 400;
    font-size: 16px;
}

.option#period {
    max-width: -webkit-fill-available;
}

.option#daily_amount > .text_option {
}

.text_option {
    margin: 0;
    font-weight: 600;
    background: linear-gradient(0deg, rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    padding: 10px 5px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 22px;
}

.downmark_block {
    position: relative;
    width: 100%;
}

.custom-select {
    position: relative;
    width: 100%;
}

.select-selected {
    margin: 0;
    font-weight: 600;
    background: linear-gradient(0deg, rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    padding: 10px 5px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 22px;
    cursor: pointer;
    position: relative;
    color: #fff;
}

.select-selected.open {
    color: #3195FF;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 13px;
    border-bottom-right-radius: 13px;
}

.select-selected::after {
    content: '';
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    width: 12px;
    height: 8px;
    background-image: url("data:image/svg+xml,%3csvg width='12' height='8' viewBox='0 0 12 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3e%3cpath d='M6.46824 6.85848L11.8083 1.51833C11.9319 1.39482 12 1.22994 12 1.05414C12 0.878334 11.9319 0.713458 11.8083 0.589947L11.4151 0.196681C11.1589 -0.0592189 10.7425 -0.0592189 10.4867 0.196681L6.00249 4.68094L1.51326 0.191706C1.38965 0.0681946 1.22487 0 1.04916 0C0.873262 0 0.708483 0.0681946 0.584776 0.191706L0.191706 0.584971C0.0680976 0.70858 9.97543e-07 0.873359 9.97543e-07 1.04916C9.97543e-07 1.22497 0.0680976 1.38984 0.191706 1.51335L5.53664 6.85848C5.66064 6.98228 5.8262 7.05028 6.0022 7.04989C6.17888 7.05028 6.34434 6.98228 6.46824 6.85848Z' fill='white'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-size: contain;
}

.select-selected.open::after {
    background-image: url("data:image/svg+xml,%3csvg%20width%3d%2212%22%20height%3d%228%22%20viewBox%3d%220%200%2012%208%22%20fill%3d%22none%22%20xmlns%3d%22http%3a%2f%2fwww.w3.org%2f2000%2fsvg%22%3e%3cpath%20d%3d%22M6.46824%206.85848L11.8083%201.51833C11.9319%201.39482%2012%201.22994%2012%201.05414C12%200.878334%2011.9319%200.713458%2011.8083%200.589947L11.4151%200.196681C11.1589%20-0.0592189%2010.7425%20-0.0592189%2010.4867%200.196681L6.00249%204.68094L1.51326%200.191706C1.38965%200.0681946%201.22487%200%201.04916%200C0.873262%200%200.708483%200.0681946%200.584776%200.191706L0.191706%200.584971C0.0680976%200.70858%209.97543e-07%200.873359%209.97543e-07%201.04916C9.97543e-07%201.22497%200.0680976%201.38984%200.191706%201.51335L5.53664%206.85848C5.66064%206.98228%205.8262%207.05028%206.0022%207.04989C6.17888%207.05028%206.34434%206.98228%206.46824%206.85848Z%22%20fill%3d%22url(%23paint0_linear_783_3332)%22%2f%3e%3cdefs%3e%3clinearGradient%20id%3d%22paint0_linear_783_3332%22%20x1%3d%22-1.56%22%20y1%3d%226.29654%22%20x2%3d%22-1.34173%22%20y2%3d%220.892394%22%20gradientUnits%3d%22userSpaceOnUse%22%3e%3cstop%20stop-color%3d%22%232E93FF%22%2f%3e%3cstop%20offset%3d%221%22%20stop-color%3d%22%2332649B%22%2f%3e%3c%2flinearGradient%3e%3c%2fdefs%3e%3c%2fsvg%3e");
}

.select_back {
    position: relative;
    padding: 1px;
    background: linear-gradient(0deg,rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    background-clip: content-box;
    display: flex;
    width: 100%;
}

.select_back.open {
    border-top-left-radius: 13px;
    border-top-right-radius: 13px;
}

.select_back:last-child {
    border-bottom-left-radius: 13px;
    border-bottom-right-radius: 13px;
}

.select_back::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.select-items {
    background: #001b731a;
    border-radius: 22px;
    margin-top: 0;
    max-height: 200px;
    max-width: 310px;
    width: 310px;
}

.select-hide {
    display: none;
}

.select-item {
    margin: 0;
    font-weight: 600;
    padding: 10px 5px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0;
    cursor: pointer;
    margin-bottom: 0;
}

.select-item:hover {
    background: linear-gradient(0deg, rgba(9, 10, 18, 1) 0%, rgba(0, 1, 1, 1) 100%);
}

.buttons_block {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin-top: 15px;
    gap: 10px;
}

.button_back {
    position: relative;
    border-radius: 20px;
    padding: 1px;
    background: linear-gradient(180deg, rgba(16, 18, 33, 1) 0%, rgba(10, 11, 20, 1) 100%);
    background-clip: content-box;
    display: flex;
    max-width: 200px;
    width: 50%;
}

.button_back::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(221deg, rgba(25, 36, 51, 1) 0%, rgb(57 123 193) 50%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.button_back#btn_rent_back {
    position: relative;
    border-radius: 20px;
    padding: 1px;
    background: linear-gradient(216deg,rgba(35, 46, 135, 1) 0%, rgba(0, 25, 66, 1) 100%);
    background-clip: content-box;
    display: flex;
    max-width: 200px;
    width: 50%;
}

.action_btn {
    display: flex;
    border: none;
    background: none;
    color: #fff;
    padding: 12px;
    margin: auto;
    font-family: 'Montserrat';
    font-weight: 500;
    font-size: 16px;
    cursor: pointer;
}

/* My Miners */
.info_my_miners_wrap {
    display: flex;
    justify-content: space-between;
    padding: 20px;
}

.info_my_miners_block {
    position: relative;
    border-radius: 20px;
    padding: 1px;
    background: linear-gradient(12deg,rgba(0, 1, 1, 1) 0%, rgba(13, 16, 36, 1) 100%);
    background-clip: content-box;
    display: flex;
    width: auto;
    flex: 0 1 calc(33.33% - 10px);
}

.info_my_miners_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(221deg, rgba(25, 36, 51, 1) 0%, rgb(57 123 193) 50%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.content_info_my_miners {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
}

.title_info {
    margin: 0;
    margin-bottom: 8px;
    color: #748A96;
    font-size: 20px;
}

.text_info {
    font-size: 21px;
    color: #2E93FF;
    font-weight: 700;
}

.content_miner_block > .button_back {
    margin: auto;
}

.expire_block {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}

.time_expire_block {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
    gap: 10px;
}

.text {
    font-size: 16px;
    color: #748A96;
    margin: 0;
}

.progress-bar {
    height: 10px;
    padding: 1px;
    width: 100%;
    margin: 20px 0;
    background: #00000017;
    border-radius: 17px;
}

.bar {
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg,rgba(2, 53, 132, 1) 0%, rgba(64, 160, 255, 1) 48%, rgba(2, 53, 132, 1) 100%);
    inline-size: 67%;
    border-radius: 17px;
}

/* Calculator */
.calculator_wrap {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 30px;
}

.calculator_wrap > .right_block {
    width: 100%;
    max-width: 400px;
}

.calculator_wrap > .left_block {
    background: none;
    border: none;
    min-height: auto;
    max-width: 750px;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.calculator_wrap > .left_block > .title {
    font-size: 22px;
    color: #ACDBFF;
    font-weight: 500;
}

.select_miners_wrap {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.select_miner_block {
    max-width: 240px;
    position: relative;
    border-radius: 20px;
    padding: 1px;
    background: linear-gradient(278.78deg, #FF8C2E -62.66%, #451F15 69.31%);
    background-clip: content-box;
    display: flex;
    width: 100%;
    height: auto;
}

.select_miner_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(221deg, rgba(25, 36, 51, 1) 0%, rgb(57 123 193) 50%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.selected {
}

.content_select_miner_block {
    display: flex;
    flex-direction: column;
    padding: 10px;
    width: 100%;
}

.content_select_miner_block > .title {
    font-size: 18px;
    text-align: center;
}

.content_select_miner_block > .miner {
    width: 160px;
}

.type_miner {
    margin-left: auto;
    text-transform: uppercase;
    padding: 5px 15px;
    background: #0000003b;
    border-radius: 17px;
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 0.5px;
}

.info_select_wrap {
    display: flex;
    flex-direction: row;
    margin-top: 15px;
}

.info_select_block {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 110px;
}

.title_info_select {
    font-size: 14px;
    margin: 0;
}

.text_info_select {
    font-size: 14px;
    background: #0000001f;
    padding: 5px 15px;
    border-radius: 17px;
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 500;
    text-align: center;
}

.pages_wrap {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    gap: 8px;
    margin: 15px 0;
}

.page_block {
    max-width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 1px;
    background: linear-gradient(0deg,rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    background-clip: content-box;
    display: flex;
    width: 100%;
    border-radius: 9px;
}

.page_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.page_block > .page_text.active {
    color: #fff;
    background: none;
}

.page_text {
    margin: 0;
    padding: 10px;
    font-weight: 400;
    color: #2E93FF;
    cursor: pointer;
}

.select_period_wrapping {
    display: flex;
    flex-direction: column;
}

.select_period_wrapping > .title {
    font-size: 22px;
    color: #ACDBFF;
    font-weight: 500;
}

.select_period_wrap {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.select_period_block {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 1px;
    background: linear-gradient(237.57deg, #2939BB -29.41%, #001942 80.03%);
    background-clip: content-box;
    display: flex;
    width: 100%;
    max-width: 115px;
    border-radius: 10px;
    cursor: pointer;
}

.select_period_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.period_text {
    padding: 10px;
    margin: 0;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    cursor: pointer;
}

.referal_calc_block {
    margin: 20px 0;
    position: relative;
    padding: 1px;
    background: #080C24;
    background-clip: content-box;
    border-radius: 17px;
}

.referal_calc_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.content_referal_calc {
    display: flex;
    flex-direction: column;
    padding: 20px;
}

.header_referal_calc {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 15px 0;
}

.header_title_ref {
    margin: 0;
    font-size: 20px;
    font-weight: 600;
}

.block_header_total_inv_ref {
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 1px;
    background: linear-gradient(0deg,rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    background-clip: content-box;
    display: flex;
    border-radius: 17px;
}

.block_header_total_inv_ref::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.header_total_inv_ref {
    margin: 0;
    color: #00D0FF;
    font-size: 18px;
    font-weight: 600;
    padding: 3px 15px;
}

.range_ref_calc {
    -webkit-appearance: none;
    appearance: none;
    height: 8px;
    background: #E5E7EB;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    position: relative;
    box-sizing: border-box;
}

.range_ref_calc::before {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 8px;
    width: calc(var(--value, 0) * 1%);
    background: linear-gradient(90deg, rgba(2, 53, 132, 1) 0%, rgba(64, 160, 255, 1) 48%, rgba(2, 53, 132, 1) 100%);
    border-radius: 5px;
    z-index: 1;
}

.range_ref_calc::-webkit-slider-track {
    width: 100%;
    height: 8px;
    background: linear-gradient(276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: 5px;
}

.range_ref_calc::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background: linear-gradient(45deg, #00D0FF, #2E93FF);
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(0, 208, 255, 0.5);
    border: 2px solid #001b73;
    position: relative;
    z-index: 2;
}

.range_ref_calc::-moz-range-track {
    width: 100%;
    height: 8px;
    background: linear-gradient(276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: 5px;
}

.range_ref_calc::-moz-range-thumb {
    width: 20px;
    height: 20px;
    background: linear-gradient(45deg, #00D0FF, #2E93FF);
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(0, 208, 255, 0.5);
    border: 2px solid #001b73;
}

.referal_bonus_block {
    margin: 15px 0;
    position: relative;
    padding: 1px;
    background: linear-gradient(0deg,rgba(0, 1, 1, 1) 0%, rgba(9, 10, 18, 1) 100%);
    background-clip: content-box;
    border-radius: 17px;
    border: 1px solid rgba(35, 91, 151, 1);
}

.referal_bonus_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.ref_bonus_content {
    display: flex;
    justify-content: space-between;
    padding: 20px 12px;
}

.ref_bonus_text {
    margin: 0;
    font-size: 20px;
    font-weight: 600;
    color: #00D0FF;
}

#elite-miner {
}

#elite-miner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(221deg, rgba(25, 36, 51, 1) 0%, rgb(57 123 193) 50%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.range_text_block {
    display: flex;
    justify-content: space-between;
}

.range_text_block > p {
    margin: 10px 0;
    color: #6A7282;
    font-size: 14px;
}

.right_block {
}

.profit_wrap {
    margin: 20px 0;
    position: relative;
    padding: 1px;
    background: #080C24;
    background-clip: content-box;
    border-radius: 17px;
    height: -webkit-fill-available;
}

.profit_wrap::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.profit_block {
    display: flex;
    flex-direction: column;
    padding: 0 20px 20px;
    height: 100%;
}

.header_profit_block {
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 1px;
    background: linear-gradient(180deg, #101221 -2.63%, #0A0B14 100%);
    background-clip: content-box;
    display: flex;
    border-radius: 17px;
    width: 100%;
    max-width: 200px;
    margin: -17px auto 20px;
}

.header_profit_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.header_profit_block > .title {
    font-size: 18px;
    margin: 0;
    padding: 8px;
    font-weight: 500;
    color: #ACDBFF;
}

.total_profit_title {
    text-align: center;
    font-size: 42px;
    font-weight: 600;
    color: #3195FF;
}

.total_roi_title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    background: linear-gradient(155.59deg, #FFFFFF 14.87%, #6A79FF 100.01%);
    width: auto;
    max-width: 130px;
    margin: 10px auto;
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    /* чтобы виден был фон внутри букв */
    font-size: 20px;
    border: 1px solid #6A79FF;
    border-radius: 17px;
    padding: 5px 12px;
}

.info_profit_wrap {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    margin: 25px 0;
    gap: 10px;
}

.info_profit_block {
    width: 100%;
    max-width: 115px;
    display: flex;
    flex-direction: column;
    align-items: center;
    background: linear-gradient(180deg, #101221 -2.63%, #0A0B14 100%);
    border-radius: 17px;
    border: 1px solid rgba(35, 91, 151, 1);
    padding: 10px 0;
}

.info_profit_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: -1;
    padding: 1px;
    box-sizing: border-box;
}

.info_profit_title {
    font-size: 16px;
    color: #748A96;
}

.info_profit_text {
    font-size: 18px;
    margin: 0;
    margin-top: 10px;
    background: linear-gradient( 179deg, #FFFFFF 14.87%, #6A79FF 100.01% 100.01% );
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
    font-weight: 600;
}

.hr_block {
    position: relative;
    border-radius: 22px;
    padding: 0px;
    background-clip: content-box;
    width: 100%;
}

.hr_block::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient( 276deg, rgba(25, 36, 51, 1) 0%, rgba(35, 91, 151, 1) 70%, rgba(21, 44, 69, 1) 100%);
    border-radius: inherit;
    z-index: 0;
    padding: 1px;
    box-sizing: border-box;
}

.text_profit_block {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.text_profit_block_title {
    color: #748A96;
    font-size: 15px;
}

.text_profit_block_amount {
    font-size: 18px;
    font-weight: 500;
}

.total_text_profit_block_title {
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 500;
}

.total_text_profit_block_amount {
    font-size: 20px;
    color: #00D0FF;
    font-weight: 600;
}

.btn_rent_calc {
    display: flex;
    border: none;
    background: none;
    color: #fff;
    padding: 12px;
    margin: auto;
    font-family: 'Montserrat';
    font-weight: 500;
    font-size: 17px;
    cursor: pointer;
    align-items: center;
}

.profit_block > .button_back {
    width: 100%;
    max-width: 400px;
    margin-top: auto;
    margin-bottom: 20px;
    background: linear-gradient(278.78deg, #ff8c2e -62.66%, #451F15 69.31%);
    border: 1px solid #ff8f34a1;
}

@media screen and (max-width: 860px) {
    .miner_block {
        flex: auto;
    }

    .option {
        max-width: 135px;
    }

    .text_info {
        font-size: 16px;
    }

    .info_my_miners_block {
        width: auto;
        flex: 0 1 calc(33.33% - 10px)
    }

    .content_info_my_miners {
        padding: 0;
    }

    .title_info {
        font-size: 14px;
        text-align: center;
    }
}
